
const chalk = require('chalk')
var FeedbackMsg = require('./models/feedback-message');

var register_feedback_message = function(data) {
    return new Promise((resolve, reject) => {
        var feedback_msg = new FeedbackMsg(data);
        feedback_msg.save().then((msg) => {
            console.log(`Received new message ${chalk.italic(`\'${msg.subject}\'`)}`);
            console.log(data);
            resolve();
        }).catch((error) => { reject(error); });
    });
}

module.exports = register_feedback_message;